## python-pywebpush 2.0.3

=== requirements.txt ===
aiohttp
cryptography>=2.6.1
http-ece>=1.1.0
requests>=2.21.0
six>=1.15.0
py-vapid>=1.7.0

=== debian/changelog ===
python-pywebpush (2.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1077029)

 -- Tianyu Chen <billchenchina2001@gmail.com>  Fri, 22 Aug 2025 02:14:57 +0800

=== debian/control ===
Source: python-pywebpush
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Tianyu Chen <billchenchina2001@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-http-ece <!nocheck>,
 python3-py-vapid <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/web-push-libs/pywebpush
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-pywebpush
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-pywebpush.git

Package: python3-pywebpush
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Webpush Data encryption library for Python
 pywebpush is a Python library that provides data encryption for WebPush
 notifications. It simplifies the process of sending push notifications
 to web clients by handling the encryption and VAPID (Voluntary Application
 Server Identification) authentication required for secure communication.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_TEST_ARGS = --ignore=pywebpush/tests

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pywebpush/pywebpush-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
